/*

   Parameters (variables) of generated function.

   Here's 100 points in
    i in 1..100: 4 + 3*sin(i)

Yes, cplex et.al. manage to solve it.

  a=4
  b=3

This AMPL model was created by Hakan Kjellerstrand, hakank@gmail.com
See also my AMPL page: http://www.hakank.org/ampl/


*/
#option randseed 0;

#set solvers := {"minos", "snopt", "bonmin","donlp2"};
param n := 100;
var a;
var b;

param sinus{1..n};

minimize z:
        sum{i in 1..n} ((a + b*sin(i)) - sinus[i] )^2;


data;

#
#  generated by 
# 4 + 3*sin($_)
#
param sinus:=
include sin.dat
;


# option solver ipopt;
# option solver loqo;
# option solver donlp2;
# option solver snopt;
#option solver bonmin;
 option solver cplex;

solve;
display a,b;

